Plugin:
  # Localized plugin name. It's used in messages and with internal placeholders.
  Name: nightcore
  # Plugin prefix. Used in messages.
  Prefix: <light_yellow><b>nightcore</b></light_yellow><dark_gray> » </dark_gray><gray>
  # Command names that will be registered as main plugin commands.
  # Do not leave this empty. Split multiple names with a comma.
  Command_Aliases: nightcore,ncore
  # Sets the plugin language.
  # Basically it tells the plugin to use certain messages config from the '/lang/' sub-folder.
  # If specified language is not available, default one (English) will be used instead.
  # [Default is System Locale]
  Language: en
ModernTextFormation:
  # When enabled, parses (deserializes) language messages to Spigot TextComponent(s) on plugin load.
  # When disabled, parses (deserializes) language texts to Spigot TextComponent(s) in runtime when sending it to player.
  # Enabling this setting is good for performance, however messages with placeholders will be recompiled in runtime anyway.
  # (Side Note) Unlike NexEngine, it does not uses regex anymore, which makes deserialization significantly faster and accurate.
  # [Default is true]
  Precompile_Language: true
  # Here you can define custom colors to use it in all nightcore plugins like <aqua>Text</aqua>.
  # You can also override default ones.
  Default_Colors:
    aqua: '#00ffff'
Menu:
  # Sets cooldown (in milliseconds) for player clicks in GUIs.
  # [Default is 150ms]
  Click_Cooldown: 150
UserData:
  # Enables debug messages for user data management.
  # [Default is false]
  Debug: false
  Cache:
    # Sets how long (in seconds) user data will be cached for offline users
    # until removed and needs to be loaded from the database again.
    # [Default is 300 (5 minutes)]
    LifeTime: 300
    # Sets whether or not plugin will cache player names and UUIDs.
    # This will improve database performance when checking if user exists, but will increase memory usage.
    # [Default is true]
    Names_And_UUIDs: true
Engine:
  # Allows to use legacy color codes (such as '&7', '&l', etc.) in plugin configurations.
  # This setting exist for backwards compatibility only! There are NO GUARANTEES that it will persist for future updates!
  # You should NOT use it unless you need to add support for your custom language configurations & translations with legacy codes.
  # You should migrate to new text format as soon as possible: https://github.com/nulli0n/nightcore-spigot/wiki/Text-Formation
  Legacy_Color_Support: true
  # Sets whether or not 'Player#getDisplayName' can be used to find & get players in addition to regular 'Player#getName'.
  # This is useful if you want to use custom player nicknames in commands.
  # (Works only for nightcore based plugins.)
  # [Default is false]
  Respect_Player_DisplayName: false
  # Control over how numerical data is formatted and rounded.
  # Allowed modes: up, down, ceiling, floor, half_up, half_down, half_even, unnecessary
  # A tutorial can be found here: https://docs.oracle.com/javase/tutorial/i18n/format/decimalFormat.html
  Number_Format:
    Format: '#,###.##'
    Rounding: half_even
